Show / Hide Table of Contents

# Class SDL_image

##### Inheritance

System.Object
SDL_image

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public static class SDL_image

### Fields

| Improve this Doc View Source

#### SDL_IMAGE_MAJOR_VERSION

##### Declaration

    public const int SDL_IMAGE_MAJOR_VERSION = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_IMAGE_MINOR_VERSION

##### Declaration

    public const int SDL_IMAGE_MINOR_VERSION = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_IMAGE_PATCHLEVEL

##### Declaration

    public const int SDL_IMAGE_PATCHLEVEL = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

#### IMG_Init(SDL_image.IMG_InitFlags)

##### Declaration

    public static extern int IMG_Init(SDL_image.IMG_InitFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL_image.IMG_InitFlags | flags |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IMG_Linked_Version()

##### Declaration

    public static SDL.SDL_version IMG_Linked_Version()

##### Returns

Type | Description
--- | ---
SDL.SDL_version |

| Improve this Doc View Source

#### IMG_Load(String)

##### Declaration

    public static IntPtr IMG_Load(string file)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | file |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### IMG_Load_RW(IntPtr, Int32)

##### Declaration

    public static extern IntPtr IMG_Load_RW(IntPtr src, int freesrc)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.Int32 | freesrc |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IMG_LoadTexture(IntPtr, String)

##### Declaration

    public static IntPtr IMG_LoadTexture(IntPtr renderer, string file)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.String | file |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### IMG_LoadTexture_RW(IntPtr, IntPtr, Int32)

##### Declaration

    public static extern IntPtr IMG_LoadTexture_RW(IntPtr renderer, IntPtr src, int freesrc)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | src |
System.Int32 | freesrc |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IMG_LoadTextureTyped_RW(IntPtr, IntPtr, Int32, String)

##### Declaration

    public static IntPtr IMG_LoadTextureTyped_RW(IntPtr renderer, IntPtr src, int freesrc, string type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | src |
System.Int32 | freesrc |
System.String | type |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IMG_LoadTyped_RW(IntPtr, Int32, String)

##### Declaration

    public static IntPtr IMG_LoadTyped_RW(IntPtr src, int freesrc, string type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.Int32 | freesrc |
System.String | type |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### IMG_Quit()

##### Declaration

    public static extern void IMG_Quit()

#### IMG_ReadXPMFromArray(String[])

##### Declaration

    public static extern IntPtr IMG_ReadXPMFromArray(string[] xpm)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String[] | xpm |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IMG_SaveJPG(IntPtr, String, Int32)

##### Declaration

    public static int IMG_SaveJPG(IntPtr surface, string file, int quality)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.String | file |
System.Int32 | quality |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### IMG_SaveJPG_RW(IntPtr, IntPtr, Int32, Int32)

##### Declaration

    public static extern int IMG_SaveJPG_RW(IntPtr surface, IntPtr dst, int freedst, int quality)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.IntPtr | dst |
System.Int32 | freedst |
System.Int32 | quality |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IMG_SavePNG(IntPtr, String)

##### Declaration

    public static int IMG_SavePNG(IntPtr surface, string file)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.String | file |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### IMG_SavePNG_RW(IntPtr, IntPtr, Int32)

##### Declaration

    public static extern int IMG_SavePNG_RW(IntPtr surface, IntPtr dst, int freedst)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.IntPtr | dst |
System.Int32 | freedst |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_IMAGE_VERSION(out SDL.SDL_version)

##### Declaration

    public static void SDL_IMAGE_VERSION(out SDL.SDL_version X)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_version | X |